Jump to content


Photo

Build Failed (APK)


  • Please log in to reply
10 replies to this topic

#1 WWAZman

WWAZman

    GMC Member

  • GMC Member
  • 1202 posts
  • Version:GM:Studio

Posted 23 May 2012 - 07:00 AM

BUILD FAILED
C:\Program Files\Android\android-sdk\tools\ant\build.xml:598: The following error occurred while executing this line:
C:\Program Files\Android\android-sdk\tools\ant\build.xml:627: null returned: 1


no idea what this is, simply attempted to build test apk after updating from rc3 to rc4 and now getting this error for making an apk.. which is funny because I JUST made another apk from a different game moments ago and it was successful.

Should I file a bug report?

OH.. note... I was trying to overwrite the old file, let me delete it and try again...nope.. deleted from both phone and computer and still get the same error..

compiling to run the game through the runner DOES work for Windows and Android.

Edited by WWAZman, 23 May 2012 - 07:10 AM.

  • 0

#2 WWAZman

WWAZman

    GMC Member

  • GMC Member
  • 1202 posts
  • Version:GM:Studio

Posted 23 May 2012 - 07:35 AM

I also tried uninstalling and reinstalling api8, then I rechecked my keystore and re-verified it. Still getting the same error.

Not sure what else to try?
  • 0

#3 alpha_centauri

alpha_centauri

    GMC Member

  • GMC Member
  • 100 posts

Posted 23 May 2012 - 07:53 AM

I also tried uninstalling and reinstalling api8, then I rechecked my keystore and re-verified it. Still getting the same error.

Not sure what else to try?


This is the line of the build.xml file it says that this is occuring.

elseText="hasCode = false. Skipping aidl/renderscript/R.java">
            <echo>----------</echo>
            <echo>Handling aidl files...</echo>
            <aidl executable="${aidl}" framework="${android.aidl}"
                    genFolder="${gen.absolute.dir}">
                <source path="${source.absolute.dir}"/>
            </aidl>

            <!-- renderscript generates resources so it must be called before aapt -->
            <echo>----------</echo>
            <echo>Handling RenderScript files...</echo>
            <renderscript executable="${renderscript}"
                    framework="${android.rs}"
                    genFolder="${gen.absolute.dir}"
                    resFolder="${out.res.absolute.dir}/raw"
                    targetApi="${target.api}">
                <source path="${source.absolute.dir}"/>
            </renderscript>

            <echo>----------</echo>
            <echo>Handling Resources...</echo>
            <aapt executable="${aapt}"
                    command="package"
                    verbose="${verbose}"
                    manifest="AndroidManifest.xml"
                    androidjar="${android.jar}"
                    rfolder="${gen.absolute.dir}"
                    nonConstantId="${android.library}"
                    projectLibrariesResName="project.libraries.res"
                    projectLibrariesPackageName="project.libraries.package">

have you edited the name of your project?! or package name??!?
  • 0

#4 rwkay

rwkay

    YoYo Games CTO

  • YoYo Games Staff
  • 2176 posts
  • Version:Unknown

Posted 23 May 2012 - 07:58 AM

I suspect your Android SDK needs to be updated please ensure that you have updated it all.

Russell
  • 0

#5 WWAZman

WWAZman

    GMC Member

  • GMC Member
  • 1202 posts
  • Version:GM:Studio

Posted 23 May 2012 - 08:11 AM

I suspect your Android SDK needs to be updated please ensure that you have updated it all.

Russell



Which api's do I need to update? And no, I haven't changed anything about it, name, keystore, projectname, nada.
  • 0

#6 WWAZman

WWAZman

    GMC Member

  • GMC Member
  • 1202 posts
  • Version:GM:Studio

Posted 23 May 2012 - 08:13 AM


I also tried uninstalling and reinstalling api8, then I rechecked my keystore and re-verified it. Still getting the same error.

Not sure what else to try?


This is the line of the build.xml file it says that this is occuring.
(snip)

have you edited the name of your project?! or package name??!?


I did however, clone my hard drive today upgrading to a larger hard drive and am now on that larger hard drive. No other errors on my system that I've encountered so far.

Updating my SDK but unsure which API's to do?
  • 0

#7 alpha_centauri

alpha_centauri

    GMC Member

  • GMC Member
  • 100 posts

Posted 23 May 2012 - 08:17 AM



I also tried uninstalling and reinstalling api8, then I rechecked my keystore and re-verified it. Still getting the same error.

Not sure what else to try?


This is the line of the build.xml file it says that this is occuring.
(snip)

have you edited the name of your project?! or package name??!?


I did however, clone my hard drive today upgrading to a larger hard drive and am now on that larger hard drive. No other errors on my system that I've encountered so far.

Updating my SDK but unsure which API's to do?


i think 6, 7, 8, 10, and 11? To ensure a proper build. I think Game Maker Studio only requires 7, 8, 11...but I found less problems after updating the others along with making sure all the google tools are installed.
  • 0

#8 WWAZman

WWAZman

    GMC Member

  • GMC Member
  • 1202 posts
  • Version:GM:Studio

Posted 23 May 2012 - 08:39 AM




I also tried uninstalling and reinstalling api8, then I rechecked my keystore and re-verified it. Still getting the same error.

Not sure what else to try?


This is the line of the build.xml file it says that this is occuring.
(snip)

have you edited the name of your project?! or package name??!?


I did however, clone my hard drive today upgrading to a larger hard drive and am now on that larger hard drive. No other errors on my system that I've encountered so far.

Updating my SDK but unsure which API's to do?


i think 6, 7, 8, 10, and 11? To ensure a proper build. I think Game Maker Studio only requires 7, 8, 11...but I found less problems after updating the others along with making sure all the google tools are installed.



...nope =( .. still fails. One thing I notice is different between the two games I'm making is the one that doesn't work has a window that pops up for the debug process.. the one that works has it embedded in the frame (which I prefer) ... should I remake the project?
  • 0

#9 WWAZman

WWAZman

    GMC Member

  • GMC Member
  • 1202 posts
  • Version:GM:Studio

Posted 23 May 2012 - 04:09 PM

ok so I updated all my api's last night and just went and remade one of the games in an apk successfully. The other one keeps erroring out with that same error message. I'm going to submit a bug report.

--CANCEL...

FOUND IT!! it was a SPACE in the global settings for the app name from the previous version. took that out and everything's groovy.

Edited by WWAZman, 23 May 2012 - 04:19 PM.

  • 0

#10 WWAZman

WWAZman

    GMC Member

  • GMC Member
  • 1202 posts
  • Version:GM:Studio

Posted 23 May 2012 - 04:27 PM

ok so I updated all my api's last night and just went and remade one of the games in an apk successfully. The other one keeps erroring out with that same error message. I'm going to submit a bug report.

--CANCEL...

FOUND IT!! it was a SPACE in the global settings for the app PACKAGE name from the previous versions. took that out and everything's groovy.


  • 0

#11 donmuseriiz

donmuseriiz

    GMC Member

  • GMC Member
  • 20 posts
  • Version:GM:Studio

Posted 30 June 2014 - 09:35 PM

hey guys..

i have this problem, and i don't even have any weird name on my package...
just letter...

 

and it didn't help...

can anyone help me ?


  • 0




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users